Bug 1093934 - ARM: kvm_stat fails to run
Summary: ARM: kvm_stat fails to run
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2014-05-03 15:50 UTC by Dennis Gilmore
Modified: 2015-12-31 13:51 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-31 13:51:49 UTC


Attachments (Terms of Use)

Description Dennis Gilmore 2014-05-03 15:50:59 UTC
Description of problem:
kvm_stat gives back trace on arm

Version-Release number of selected component (if applicable):
qemu-kvm-tools-2.0.0-3.fc21.armv7hl

How reproducible:
always

Steps to Reproduce:
1. run kvm_stat
2.
3.

Actual results:
[root@cubietruck01 ~]# /usr/bin/kvm_stat
Traceback (most recent call last):
  File "/usr/bin/kvm_stat", line 196, in <module>
    filters[f] = (filters[f][0], invert(filters[f][1]))
  File "/usr/bin/kvm_stat", line 193, in invert
    return dict((x[1], x[0]) for x in d.iteritems())
AttributeError: 'NoneType' object has no attribute 'iteritems'


Expected results:
to run and give output

Additional info:
 ls -lah /dev/kvm
crw-rw-rw-. 1 root kvm 10, 232 May  2 23:50 /dev/kvm

Comment 1 Jaroslav Reznik 2015-03-03 15:45:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Cole Robinson 2015-12-31 13:51:49 UTC
Seems fixed on f23 at least


Note You need to log in before you can comment on or make changes to this bug.